#
# spec file for package libstroke (Version 0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         libstroke
Copyright:    GPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      0.4
Release:      105
URL:          http://www.etla.net/libstroke/
Source0:      http://www.etla.net/libstroke/libstroke-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      a stroke translation library

%description
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

Authors:
--------
    Mark Willey <willey@etla.net>

SuSE series: d

%package      -n libstroke-devel
Summary:      Development package for libstroke.
Group:        Development/Libraries

%description  -n libstroke-devel
This package is needed if you want to program or compile applications that
use libstroke.

Authors:
--------
    Mark Willey <willey@etla.net>

SuSE series: d

%prep
%setup0

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config -f}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux
make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPY* CREDITS ChangeLog INSTALL NEWS README* TODO
/usr/bin/stroke_test
/usr/lib/libstroke.so.*

%files -n libstroke-devel
%defattr(-, root, root)
/usr/lib/libstroke.so
/usr/lib/libstroke.*a
/usr/include/*.h

%changelog -n libstroke
* Tue Apr 03 2001 - mfabian@suse.de
- new package: libstroke-0.4
